mixin indexForm(site, index, campos)
    .card.bg-dark.text-white
        .card-body
            h3.h5.card-title Site:&nbsp;
                strong=site.titulo
            form(method="post")
                .form-group
                    label(for='inputUrl') Endereço da lista de notícias
                    input#inputUrl.form-control(type='url', placeholder='Endereço das notícias', name='url', value=index.url)
                .form-group
                    .custom-control.custom-checkbox
                        input#checkInterarEstados.custom-control-input(type='checkbox', name="interarEstados",
                        value="true", checked=index.interarEstados)
                        label.custom-control-label(for='checkInterarEstados') Interar por estados
                br
                input#camposPadrao(type="hidden", name="camposPadrao", value=JSON.stringify(index.camposPadrao))
                .form-row
                    .form-group.col-5
                        label(for='inputUrl') Campo
                        select.form-control#selectCampo()
                            option(selected=true, value="") Selecione um campo
                            each campo in campos
                                option(value=campo.value)=campo.label
                    .form-group.col-6
                        label(for='inputValor') Valor
                        input#inputValor.form-control(type='text', placeholder='Valor padrão')
                    .form-group.col-1
                        label &nbsp;
                        button.form-control.btn.btn-success(type="button", onclick="addCampo()")
                            i.fa.fa-plus
                table.table.table-hover.table-striped.sr-only#tableCamposPadrao
                    thead
                        tr
                            th(width="45%") Campo
                            th(width="40%") Valor
                            th(width="15%") Ação
                    tbody

                hr
                .form-group.text-right
                    a.btn.btn-danger(href="/admin/sites/view/" + site._id + '?tab=index')
                        i.fa.fa-ban
                        |  Cancelar
                    | &nbsp;
                    button.btn.btn-primary(type='submit')
                        i.fa.fa-check
                        |  Salvar

